#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 semialign
version:              1.2.0.1
visibility:           public
id:                   semialign-1.2.0.1-Kw23mka2xPzGhLqmH9wi9z
key:                  semialign-1.2.0.1-Kw23mka2xPzGhLqmH9wi9z
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               C. McCann, Oleg Grenrus
homepage:             https://github.com/haskellari/these
synopsis:
    Align and Zip type-classes from the common Semialign ancestor.

description:
    The major use of @These@ of this is provided by the @align@ member of
    @Semialign@ class, representing a generalized notion of "zipping with padding"
    that combines structures without truncating to the size of the smaller input.

    It turns out that @zip@ operation fits well the @Semialign@ class,
    forming lattice-like structure.

category:             Data, These
abi:                  56d0c721c7b0e8d9182cf917a5c79af4
exposed:              True
exposed-modules:
    Data.Align Data.Crosswalk Data.Semialign Data.Semialign.Indexed
    Data.Zip

hidden-modules:       Data.Semialign.Internal
import-dirs:          /usr/lib/ghc-9.2.8/site-local/semialign-1.2.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/semialign-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-semialign
hs-libraries:         HSsemialign-1.2.0.1-Kw23mka2xPzGhLqmH9wi9z
depends:
    base-4.16.4.0 containers-0.6.5.1
    hashable-1.4.4.0-ICSz42nbRK83wekmmcsSsd
    indexed-traversable-0.1.4-HO0fpc7lKIK6uz4YKLePCh
    indexed-traversable-instances-0.1.2-G7O5d3NP8hd3hyvH6hAwqB
    semigroupoids-5.3.7-6mA7yYOUbtl8RbQDVikbW2
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP
    these-1.1.1.1-5l3afIuNTrD420CX94mIQw transformers-0.5.6.2
    unordered-containers-0.2.20-3Feu7z7nwlQLAsn5Kud3bc
    vector-0.13.1.0-E5qWEg2Mbs4GWxzttKkYkQ

haddock-interfaces:   /usr/share/doc/haskell-semialign/html/semialign.haddock
haddock-html:         /usr/share/doc/haskell-semialign/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

